package com.chinaweal.aiccs.common.constant;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 常量
 *
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2020/7/31 15:50
 **/
public abstract class Constant {

    /**
     * 整形1表true
     **/
    public static final Integer TRUE_1 = 1;

    /**
     * 整形0表false
     **/
    public static final Integer FALSE_0 = 0;

    /**
     * 字符串1表true
     **/
    public static final String TRUE_1_STR = "1";

    /**
     * 字符串0表false
     **/
    public static final String FALSE_0_STR = "0";

    /**
     * 字符串y表true
     **/
    public static final String TRUE_y_STR = "y";

    /**
     * 字符串n表false
     **/
    public static final String FALSE_n_STR = "n";

    /**
     * 半角逗号
     **/
    public static final String COMMA = ",";

    /**
     * 半角分号
     */
    public static final String SEMICOLON = ";";

    /**
     * 广州内所有分区
     */
//    public static final String[] GZ_All_REGION = {"天河区", "黄埔区", "增城区", "海珠区", "越秀区", "荔湾区", "番禺区", "南沙区", "白云区", "花都区", "从化区"};

    /**
     * 100，BigDecimal类型
     */
    public static final BigDecimal HUNDRED = new BigDecimal(100);

    /**
     * 月环比排序字段
     */
    public static final String ORDER_FIELD_MONTH_BASIC = "month_basic";

    /**
     * 异议申请初始化信息
     */
    public static final String DISSENT_APPLY_INIT_MSG = "异议申请发起";

    /**
     * 点
     */
    public static final String DOT = ".";

    /**
     * 横线
     */
    public static final String LINE = "-";

    /**
     * 下划线
     */
    public static final String BOTTOMLINE = "_";

    /**
     * 非企业类型
     */
    public static final String[] NOT_COMPANY_TYPE = {"8000","8100","8200","8300","9000","9100","9200","9910","99100","99101","99102","99103","9999"};

    /**
     * 内蒙行政地区码值
     */
    public static final Map<String, String> NM_LOC_REGION_CODE = new LinkedHashMap<>();

    /**
     * nm市码值
     */
    public static final Map<String, String> NM_REGION_CODE = new LinkedHashMap<>();

    /**
     * 内蒙行政地区码值及简称
     */
    public static final Map<String, String> NM_REGION_CODE_SHORTNAME = new LinkedHashMap<>();
    /**
     * 内蒙决定机关码值
     */
    public static final Map<String, String> NM_DECORG_CODE = new LinkedHashMap<>();

    /**
     * 严重违法信用修复审批时限
     */
    public static final Map<String, String> REPAIR_ILLEGAL_DEADLINE = new LinkedHashMap<>();

    public static final String REPAIR_ILLEGAL_DEADLINE_ACCEPT = "4";// 经办人4个工作日
    public static final String REPAIR_ILLEGAL_DEADLINE_HANDLE = "3";// 审核人3个工作日
    public static final String REPAIR_ILLEGAL_DEADLINE_APPROVE = "3";// 审批人3个工作日

    /**
     * 旧系统（泰富）移出原因
     */
    public static final Map<String, String> OLD_ABN_COMPANY_OUT = new LinkedHashMap<>();
    public static final Map<String, String> OLD_ABN_FARMER_OUT = new LinkedHashMap<>();
    public static final Map<String, String> OLD_ABN_INDIVIDUAL_OUT = new LinkedHashMap<>();

    /**
     * 泰富部门对应代码值
     */
//    public static final Map<String,String> TF_BMDMZ = new LinkedHashMap<>();

    /**
     * 合伙企业码值
     */
    public static final String[] PARTNERSHIP_CODE = {"4530","4531","4532","4533","5400","5410","5420","5430","6400","6410","6420","6430"};

    /**
     * 批吊-公司类型码值
     */
    public static final String[] REVOKE_COMPANY_CODE = {"1000","1100","1110","1120","1121","1122","1123","1130","1140",
            "1150","1151", "1152","1153","1190","1200","1210","1211","1212","1213","1219","1220","1221", "1222","1223",
            "1229","2000","2100","2110","2120","2121","2122","2123","2130", "2140","2150","2151","2152","2153","2190",
            "2200","2210","2211","2212","2213", "2219","2220","2221","2222","2223","2229","5100","5110","5120","5130",
            "5140", "5150","5160","5180","5190","5200","5210","5220","5230","5240","5250","5260", "5290","5800","5810",
            "6100","6110","6120","6130","6140","6150","6160","6170", "6180","6190","6200","6210","6220","6230","6240",
            "6250","6260","6270","6280", "6290","6800","6810","7100","7110","7120","7130","7190","7300","7310"};

    /**
     * 批吊-个人独资企业类型码值
     */
    public static final String[] REVOKE_SOLE_CODE = {"4540","4560"};

//    public static final Map<String, String> GZ_XZFY_LJ = new LinkedHashMap<>();
//    public static final Map<String, String> GZ_XZFY_DH = new LinkedHashMap<>();

    /**
     * 列异各区的地址和电话
     */
//    public static final Map<String, String> GZ_LY_DZ = new LinkedHashMap<>();
//    public static final Map<String, String> GZ_LY_DH = new LinkedHashMap<>();

    static {
        NM_LOC_REGION_CODE.put("150000", "内蒙古自治区");
        NM_LOC_REGION_CODE.put("150102", "新城区");
        NM_LOC_REGION_CODE.put("150103", "回民区");
        NM_LOC_REGION_CODE.put("150104", "玉泉区");
        NM_LOC_REGION_CODE.put("150105", "赛罕区");
        NM_LOC_REGION_CODE.put("150118", "和林格尔新区");
        NM_LOC_REGION_CODE.put("150121", "土默特左旗");
        NM_LOC_REGION_CODE.put("150122", "托克托县");
        NM_LOC_REGION_CODE.put("150123", "和林格尔县");
        NM_LOC_REGION_CODE.put("150124", "清水河县");
        NM_LOC_REGION_CODE.put("150125", "武川县");
        NM_LOC_REGION_CODE.put("150173", "和林格尔县");
        NM_LOC_REGION_CODE.put("150191", "金川开发区");
        NM_LOC_REGION_CODE.put("150192", "经济开发区");
        NM_LOC_REGION_CODE.put("150202", "东河区");
        NM_LOC_REGION_CODE.put("150203", "昆都仑区");
        NM_LOC_REGION_CODE.put("150204", "青山区");
        NM_LOC_REGION_CODE.put("150205", "石拐区");
        NM_LOC_REGION_CODE.put("150206", "白云区");
        NM_LOC_REGION_CODE.put("150207", "九原区");
        NM_LOC_REGION_CODE.put("150221", "土默特右旗");
        NM_LOC_REGION_CODE.put("150222", "固阳县");
        NM_LOC_REGION_CODE.put("150223", "达茂联合旗");
        NM_LOC_REGION_CODE.put("150291", "");
        NM_LOC_REGION_CODE.put("150302", "海勃湾区");
        NM_LOC_REGION_CODE.put("150303", "海南区");
        NM_LOC_REGION_CODE.put("150304", "乌达区");
        NM_LOC_REGION_CODE.put("150402", "红山区");
        NM_LOC_REGION_CODE.put("150403", "元宝山区");
        NM_LOC_REGION_CODE.put("150404", "松山区");
        NM_LOC_REGION_CODE.put("150421", "阿鲁科尔沁旗");
        NM_LOC_REGION_CODE.put("150422", "巴林左旗");
        NM_LOC_REGION_CODE.put("150423", "巴林右旗");
        NM_LOC_REGION_CODE.put("150424", "林西县");
        NM_LOC_REGION_CODE.put("150425", "克什克腾旗");
        NM_LOC_REGION_CODE.put("150426", "翁牛特旗");
        NM_LOC_REGION_CODE.put("150428", "喀喇沁旗");
        NM_LOC_REGION_CODE.put("150429", "宁城县");
        NM_LOC_REGION_CODE.put("150430", "敖汉旗");
        NM_LOC_REGION_CODE.put("150502", "科尔沁区");
        NM_LOC_REGION_CODE.put("150521", "科尔沁左翼中旗");
        NM_LOC_REGION_CODE.put("150522", "科尔沁左翼后旗");
        NM_LOC_REGION_CODE.put("150523", "开鲁县");
        NM_LOC_REGION_CODE.put("150524", "库伦旗");
        NM_LOC_REGION_CODE.put("150525", "奈曼旗");
        NM_LOC_REGION_CODE.put("150526", "扎鲁特旗");
        NM_LOC_REGION_CODE.put("150581", "霍林郭勒市");
        NM_LOC_REGION_CODE.put("150591", "经开区");
        NM_LOC_REGION_CODE.put("150602", "东胜区");
        NM_LOC_REGION_CODE.put("150621", "达拉特旗");
        NM_LOC_REGION_CODE.put("150622", "准格尔旗");
        NM_LOC_REGION_CODE.put("150623", "鄂托克前旗");
        NM_LOC_REGION_CODE.put("150624", "鄂托克旗");
        NM_LOC_REGION_CODE.put("150625", "杭锦旗");
        NM_LOC_REGION_CODE.put("150626", "乌审旗");
        NM_LOC_REGION_CODE.put("150627", "");
        NM_LOC_REGION_CODE.put("150691", "");
        NM_LOC_REGION_CODE.put("150692", "");
        NM_LOC_REGION_CODE.put("150693", "");
        NM_LOC_REGION_CODE.put("150702", "海拉尔区");
        NM_LOC_REGION_CODE.put("150703", "扎赉诺尔区");
        NM_LOC_REGION_CODE.put("150721", "阿荣旗");
        NM_LOC_REGION_CODE.put("150722", "莫旗");
        NM_LOC_REGION_CODE.put("150723", "鄂伦春自治旗");
        NM_LOC_REGION_CODE.put("150724", "鄂温克族自治旗");
        NM_LOC_REGION_CODE.put("150725", "陈巴尔虎旗");
        NM_LOC_REGION_CODE.put("150726", "新巴尔虎左旗");
        NM_LOC_REGION_CODE.put("150727", "新巴尔虎右旗");
        NM_LOC_REGION_CODE.put("150781", "满洲里市");
        NM_LOC_REGION_CODE.put("150782", "牙克石");
        NM_LOC_REGION_CODE.put("150783", "扎兰屯市");
        NM_LOC_REGION_CODE.put("150784", "额尔古纳市");
        NM_LOC_REGION_CODE.put("150785", "根河市");
        NM_LOC_REGION_CODE.put("150788", "经开区");
        NM_LOC_REGION_CODE.put("150791", "满洲里市");
        NM_LOC_REGION_CODE.put("150802", "临河区");
        NM_LOC_REGION_CODE.put("150821", "五原县");
        NM_LOC_REGION_CODE.put("150822", "磴口县");
        NM_LOC_REGION_CODE.put("150823", "乌拉特前旗");
        NM_LOC_REGION_CODE.put("150824", "乌拉特中旗");
        NM_LOC_REGION_CODE.put("150825", "乌拉特后旗");
        NM_LOC_REGION_CODE.put("150826", "杭锦后旗");
        NM_LOC_REGION_CODE.put("150881", "");
        NM_LOC_REGION_CODE.put("150891", "");
        NM_LOC_REGION_CODE.put("150902", "集宁区");
        NM_LOC_REGION_CODE.put("150921", "卓资县");
        NM_LOC_REGION_CODE.put("150922", "化德县");
        NM_LOC_REGION_CODE.put("150923", "商都县");
        NM_LOC_REGION_CODE.put("150924", "兴和县");
        NM_LOC_REGION_CODE.put("150925", "凉城县");
        NM_LOC_REGION_CODE.put("150926", "察哈尔右翼前旗");
        NM_LOC_REGION_CODE.put("150927", "察哈尔右翼中旗");
        NM_LOC_REGION_CODE.put("150928", "察哈尔右翼后旗");
        NM_LOC_REGION_CODE.put("150929", "四子王旗");
        NM_LOC_REGION_CODE.put("150981", "丰镇市");
        NM_LOC_REGION_CODE.put("150982", "");
        NM_LOC_REGION_CODE.put("150992", "");
        NM_LOC_REGION_CODE.put("150993", "");
        NM_LOC_REGION_CODE.put("152201", "乌兰浩特市");
        NM_LOC_REGION_CODE.put("152202", "阿尔山市");
        NM_LOC_REGION_CODE.put("152221", "科尔沁右翼前旗");
        NM_LOC_REGION_CODE.put("152222", "科尔沁右翼中旗");
        NM_LOC_REGION_CODE.put("152223", "扎赉特旗");
        NM_LOC_REGION_CODE.put("152224", "突泉县");
        NM_LOC_REGION_CODE.put("152282", "");
        NM_LOC_REGION_CODE.put("152501", "二连浩特市");
        NM_LOC_REGION_CODE.put("152502", "锡林浩特市");
        NM_LOC_REGION_CODE.put("152522", "阿巴嘎旗");
        NM_LOC_REGION_CODE.put("152523", "苏尼特左旗");
        NM_LOC_REGION_CODE.put("152524", "苏尼特右旗");
        NM_LOC_REGION_CODE.put("152525", "东乌珠穆沁旗");
        NM_LOC_REGION_CODE.put("152526", "西乌珠穆沁旗");
        NM_LOC_REGION_CODE.put("152527", "太仆寺旗");
        NM_LOC_REGION_CODE.put("152528", "镶黄旗");
        NM_LOC_REGION_CODE.put("152529", "正镶白旗");
        NM_LOC_REGION_CODE.put("152530", "正蓝旗");
        NM_LOC_REGION_CODE.put("152531", "多伦县");
        NM_LOC_REGION_CODE.put("152591", "乌拉盖管理区");
        NM_LOC_REGION_CODE.put("152921", "阿拉善左旗");
        NM_LOC_REGION_CODE.put("152922", "阿拉善右旗");
        NM_LOC_REGION_CODE.put("152923", "");
        NM_LOC_REGION_CODE.put("152991", "");
        NM_LOC_REGION_CODE.put("152992", "");
        NM_LOC_REGION_CODE.put("155105", "赛罕区");
        NM_LOC_REGION_CODE.put("157992", "");


        NM_REGION_CODE.put("150000", "内蒙古自治区");
        NM_REGION_CODE.put("150100", "呼和浩特市");
        NM_REGION_CODE.put("150200", "包头市");
        NM_REGION_CODE.put("150300", "乌海市");
        NM_REGION_CODE.put("150400", "赤峰市");
        NM_REGION_CODE.put("150500", "通辽市");
        NM_REGION_CODE.put("150600", "鄂尔多斯市");
        NM_REGION_CODE.put("150700", "呼伦贝尔市");
        NM_REGION_CODE.put("150800", "巴彦淖尔市");
        NM_REGION_CODE.put("150900", "乌兰察布市");
        NM_REGION_CODE.put("152200", "兴安盟");
        NM_REGION_CODE.put("152300", "包头市");
        NM_REGION_CODE.put("152500", "锡林郭勒盟");
        NM_REGION_CODE.put("152900", "阿拉善盟");
        NM_REGION_CODE.put("155100", "呼和浩特市");
        NM_REGION_CODE.put("155500", "通辽市");
        NM_REGION_CODE.put("155600", "鄂尔多斯市");
        NM_REGION_CODE.put("155900", "乌兰察布市");
        NM_REGION_CODE.put("157900", "阿拉善盟");

        NM_REGION_CODE_SHORTNAME.put("150000", "蒙");
        NM_REGION_CODE_SHORTNAME.put("150100", "呼");
        NM_REGION_CODE_SHORTNAME.put("150200", "包");
        NM_REGION_CODE_SHORTNAME.put("150300", "乌");
        NM_REGION_CODE_SHORTNAME.put("150400", "赤");
        NM_REGION_CODE_SHORTNAME.put("150500", "通");
        NM_REGION_CODE_SHORTNAME.put("150600", "鄂");
        NM_REGION_CODE_SHORTNAME.put("150700", "呼伦");
        NM_REGION_CODE_SHORTNAME.put("150800", "巴");
        NM_REGION_CODE_SHORTNAME.put("150900", "乌兰");
        NM_REGION_CODE_SHORTNAME.put("152200", "兴安");
        NM_REGION_CODE_SHORTNAME.put("152300", "包");
        NM_REGION_CODE_SHORTNAME.put("152500", "锡林");
        NM_REGION_CODE_SHORTNAME.put("152900", "阿拉");
        NM_REGION_CODE_SHORTNAME.put("155100", "呼");
        NM_REGION_CODE_SHORTNAME.put("155500", "通");
        NM_REGION_CODE_SHORTNAME.put("155600", "鄂");
        NM_REGION_CODE_SHORTNAME.put("155900", "乌兰");
        NM_REGION_CODE_SHORTNAME.put("157900", "阿拉");


//        NM_DECORG_CODE.put("44010000", "广州市");


        NM_DECORG_CODE.put("15000000", "内蒙古自治区");
        NM_DECORG_CODE.put("15010000", "呼和浩特市");
        NM_DECORG_CODE.put("15020000", "包头市");
        NM_DECORG_CODE.put("15030000", "乌海市");
        NM_DECORG_CODE.put("15040000", "赤峰市");
        NM_DECORG_CODE.put("15050000", "通辽市");
        NM_DECORG_CODE.put("15060000", "鄂尔多斯市");
        NM_DECORG_CODE.put("15070000", "呼伦贝尔市");
        NM_DECORG_CODE.put("15080000", "巴彦淖尔市");
        NM_DECORG_CODE.put("15090000", "乌兰察布市");
        NM_DECORG_CODE.put("15220000", "兴安盟");
        NM_DECORG_CODE.put("15230000", "包头市");
        NM_DECORG_CODE.put("15250000", "锡林郭勒盟");
        NM_DECORG_CODE.put("15290000", "阿拉善盟");
        NM_DECORG_CODE.put("15510000", "呼和浩特市");
        NM_DECORG_CODE.put("15550000", "通辽市");
        NM_DECORG_CODE.put("15560000", "鄂尔多斯市");
        NM_DECORG_CODE.put("15590000", "乌兰察布市");
        NM_DECORG_CODE.put("15790000", "阿拉善盟");

        REPAIR_ILLEGAL_DEADLINE.put(REPAIR_ILLEGAL_DEADLINE_ACCEPT,"4");
        REPAIR_ILLEGAL_DEADLINE.put(REPAIR_ILLEGAL_DEADLINE_HANDLE,"3");
        REPAIR_ILLEGAL_DEADLINE.put(REPAIR_ILLEGAL_DEADLINE_APPROVE,"3");

        OLD_ABN_COMPANY_OUT.put("1","列入经营异常名录3年内且依照《经营异常名录管理办法》第六条规定被列入经营异常名录的企业，可以在补报未报年份的年度报告并公示后，申请移出");
        OLD_ABN_COMPANY_OUT.put("2","列入经营异常名录3年内且依照《经营异常名录管理办法》第七条规定被列入经营异常名录的企业履行公示义务后，申请移出");
        OLD_ABN_COMPANY_OUT.put("3","列入经营异常名录3年内且依照《经营异常名录管理办法》第八条规定被列入经营异常名录的企业更正其公示的信息后，申请移出");
        OLD_ABN_COMPANY_OUT.put("4","列入经营异常名录3年内且依照《经营异常名录管理办法》第九条规定被列入经营异常名录的企业，依法办理住所或者经营场所变更登记后，申请移出");
        OLD_ABN_COMPANY_OUT.put("5","列入经营异常名录3年内且依照《经营异常名录管理办法》第九条规定被列入经营异常名录的企业，提出通过登记的住所或者经营场所可以重新取得联系，申请移出");
        OLD_ABN_COMPANY_OUT.put("6","该企业因登记机关认定为不适宜的商事主体名称，依据《广东省商事登记条例》第三十六条的规定，列入经营异常名录，现已申领变更名称，并向社会公示");

        OLD_ABN_FARMER_OUT.put("1","依照《农民专业合作社年度报告公示办法》第十条规定被列入经营异常名录的农民专业合作社，可以在补报未报年份的年度报告并公示后，申请移出");
        OLD_ABN_FARMER_OUT.put("2","依照《农民专业合作社年度报告公示办法》第十一条规定被列入经营异常名录的农民专业合作社，更正其公示的年度报告信息后，申请移出");
        OLD_ABN_FARMER_OUT.put("3","依照《农民专业合作社年度报告公示办法》第十二条规定被列入经营异常名录的农民专业合作社，依法办理住所变更登记，申请移出");
        OLD_ABN_FARMER_OUT.put("4","因通过登记的住所无法与你取得联系被列入经营异常名录，依法办理住所变更登记，或者提出通过登记的住所可以重新取得联系并申请移出经营异常名录。根据《农民专业合作社年度报告公示暂行办法》第十五条的规定，拟移出经营异常名录");

        OLD_ABN_INDIVIDUAL_OUT.put("1","依照《个体工商户年度报告办法》第十三条规定被标记为经营异常状态的个体工商户，向工商行政管理部门补报纸质年度报告并申请恢复正常记载状态");
        OLD_ABN_INDIVIDUAL_OUT.put("2","依照《个体工商户年度报告办法》第十四条规定被标记为经营异常状态的个体工商户，向工商行政管理部门报送更正后的纸质年度报告并申请恢复正常记载状态");
        OLD_ABN_INDIVIDUAL_OUT.put("3","依照《个体工商户年度报告办法》第十五条规定被标记为经营异常状态的个体工商户，依法办理经营场所、经营者住所变更登记，申请恢复正常记载状态");
        OLD_ABN_INDIVIDUAL_OUT.put("4","因通过登记的经营场所或者经营者住所无法与你取得联系被标记为经营异常状态，依法办理经营场所、经营者住所变更登记，或者提出通过登记的经营场所或者经营者住所可以重新取得联系申请恢复正常记载状态的，根据《个体工商户年度报告暂行办法》第十八条的规定，拟恢复正常记载状态");

//        GZ_XZFY_LJ.put("440101", "广州市越秀区小北路183号金和大厦2楼");
//        GZ_XZFY_LJ.put("440100", "广州市越秀区小北路183号金和大厦2楼");
//        GZ_XZFY_LJ.put("440103", "广州市荔湾区花地大道北88号行政复议受理接待室");
//        GZ_XZFY_LJ.put("440104", "越秀区德安路1号之二601");
//        GZ_XZFY_LJ.put("440105", "广州市海珠区同福中路360号海珠区人民政府行政复议办公室");
//        GZ_XZFY_LJ.put("440106", "广州市天河区海月路407号广州市天河区市场监督管理局");
//        GZ_XZFY_LJ.put("440111", "广州市白云区景云路13、15号(广州市白云区行政复议中心)");
//        GZ_XZFY_LJ.put("440112", "广州市黄埔区水西路12号A栋2楼公共法律服务中心");
//        GZ_XZFY_LJ.put("440113", "广州市番禺区市桥街捷进中路9号3座行政复议办公室");
//        GZ_XZFY_LJ.put("440126", "广州市番禺区市桥街捷进中路9号3座行政复议办公室");
//        GZ_XZFY_LJ.put("440114", "广州市花都区迎宾大道89号");
//        GZ_XZFY_LJ.put("440121", "广州市花都区迎宾大道89号");
//        GZ_XZFY_LJ.put("440115", "广州市南沙区进港大道595号港口大厦一楼");
//        GZ_XZFY_LJ.put("440110", "广州市南沙区进港大道595号港口大厦一楼");
//        GZ_XZFY_LJ.put("440117", "广州市从化区街口街开源路23号（广州市从化区公共法律服务中心）");
//        GZ_XZFY_LJ.put("440122", "广州市从化区街口街开源路23号（广州市从化区公共法律服务中心）");
//        GZ_XZFY_LJ.put("440118", "广州市增城区荔城街园圃路29号增城区司法局一楼法制科");
//        GZ_XZFY_LJ.put("440125", "广州市增城区荔城街园圃路29号增城区司法局一楼法制科");
//
//        GZ_XZFY_DH.put("440101", "020-83555988");
//        GZ_XZFY_DH.put("440100", "020-83555988");
//        GZ_XZFY_DH.put("440103", "020-81697654");
//        GZ_XZFY_DH.put("440104", "020-37634674");
//        GZ_XZFY_DH.put("440105", "020-89631661");
//        GZ_XZFY_DH.put("440106", "38839672");
//        GZ_XZFY_DH.put("440111", "020-36500250");
//        GZ_XZFY_DH.put("440112", "020-82378878");
//        GZ_XZFY_DH.put("440113", "020-84636756");
//        GZ_XZFY_DH.put("440126", "020-84636756");
//        GZ_XZFY_DH.put("440114", "");
//        GZ_XZFY_DH.put("440121", "");
//        GZ_XZFY_DH.put("440115", "020-84983284，020-39050121");
//        GZ_XZFY_DH.put("440110", "020-84983284，020-39050121");
//        GZ_XZFY_DH.put("440117", "020-87989806");
//        GZ_XZFY_DH.put("440122", "020-87989806");
//        GZ_XZFY_DH.put("440118", "020-32166323");
//        GZ_XZFY_DH.put("440125", "020-32166323");
//
//        TF_BMDMZ.put("广州市市场监督管理局","001");
//        TF_BMDMZ.put("广州市荔湾区市场监督管理局","001003");
//        TF_BMDMZ.put("广州市越秀区市场监督管理局","001004");
//        TF_BMDMZ.put("广州市海珠区市场监督管理局","001005");
//        TF_BMDMZ.put("广州市天河区市场监督管理局","001006");
//        TF_BMDMZ.put("广州市广州开发区市场和质量监督管理局","001008");
//        TF_BMDMZ.put("广州市南沙区市场监督管理局","001010");
//        TF_BMDMZ.put("广州市白云区市场监督管理局","001011");
//        TF_BMDMZ.put("广州市黄埔区市场监督管理局","001012");
//        TF_BMDMZ.put("广州市工商行政管理局专业市场管理分局","001015");
//        TF_BMDMZ.put("广州市花都区市场监督管理局","001021");
//        TF_BMDMZ.put("广州市从化区市场监督管理局","001022");
//        TF_BMDMZ.put("广州市增城区市场监督管理局","001025");
//        TF_BMDMZ.put("广州市番禺区市场监督管理局","001026");
//        TF_BMDMZ.put("广州市市场监督管理局登记注册二处","001029");
//
//        GZ_LY_DZ.put("440101", "广州市天河区天河路112号802");
//        GZ_LY_DZ.put("440100", "广州市天河区天河路112号802");
//        GZ_LY_DZ.put("440103", "广州市荔湾区长寿西路70号");
//        GZ_LY_DZ.put("440104", "越秀区解放北路813号后座216室");
//        GZ_LY_DZ.put("440105", "广州市海珠区广州大道南915号");
//        GZ_LY_DZ.put("440106", "广州市天河区海月路407号广州市天河区市场监督管理局");
//        GZ_LY_DZ.put("440111", "广州市白云区景云路13、15号(广州市白云区行政复议中心)");
//        GZ_LY_DZ.put("440112", "广州市黄埔区科学大道239号");
//        GZ_LY_DZ.put("440126", "广州市番禺区市桥街捷进中路9号3座行政复议办公室");
//        GZ_LY_DZ.put("440121", "广州市花都区花城南路2号");
//        GZ_LY_DZ.put("440110", "广州市南沙区进港大道595号港口大厦一楼");
//        GZ_LY_DZ.put("440122", "广州市从化区街口街中田东路41号");
//        GZ_LY_DZ.put("440125", "广州市增城区荔城街园圃路29号增城区司法局一楼法制科");
//
//        GZ_LY_DH.put("440101", "020-85582975");
//        GZ_LY_DH.put("440100", "020-85582975");
//        GZ_LY_DH.put("440103", "020-81295565");
//        GZ_LY_DH.put("440104", "020-83546985");
//        GZ_LY_DH.put("440105", "89000019");
//        GZ_LY_DH.put("440106", "38839672");
//        GZ_LY_DH.put("440111", "020-36500250");
//        GZ_LY_DH.put("440112", "32399386");
//        GZ_LY_DH.put("440126", "020-84636756");
//        GZ_LY_DH.put("440121", "86823150");
//        GZ_LY_DH.put("440110", "020-84983284，020-39050121");
//        GZ_LY_DH.put("440122", "020-87989806");
//        GZ_LY_DH.put("440125", "020-32166323");
    }

//    /**
//     * 广州内所有分区编码
//     */
//    public static final String[] All_REGORG_GZ = {
//            "440101",
//            "440100",
//            "440103",
//            "440104",
//            "440105",
//            "440106",
//            "440110",
//            "440111",
//            "440112",
//            "440113",
//            "440114",
//            "440115",
//            "440116",
//            "440117",
//            "440121",
//            "440122",
//            "440125",
//            "440126",
//    };

    public static final Map<String, String> EXT_MAP = new HashMap<>();

    static {
        EXT_MAP.put(".jpg", "jpg");
        EXT_MAP.put(".gif", "gif");
        EXT_MAP.put(".doc", "doc");
        EXT_MAP.put(".xls", "xls");
        EXT_MAP.put(".txt", "txt");
        EXT_MAP.put(".pdf", "pdf");
        EXT_MAP.put(".docx", "docx");
        EXT_MAP.put(".wps", "wps");
        EXT_MAP.put(".xlsx", "xlsx");
        EXT_MAP.put(".et", "et");
    }
}
